## com.lowagie.text.xml.xmp
Class XmpBasicSchema

    java.lang.Object
      java.util.Dictionary<K,V>
          java.util.Hashtable<java.lang.Object,java.lang.Object>
              java.util.Properties
                  com.lowagie.text.xml.xmp.XmpSchema
                      com.lowagie.text.xml.xmp.XmpBasicSchema

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,java.lang.Object>

    public class XmpBasicSchema

extends XmpSchema

An implementation of an XmpSchema.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` `ADVISORY` An unordered array specifying properties that were edited outside the authoring application.
`static java.lang.String` `BASEURL` The base URL for relative URLs in the document content.
`static java.lang.String` `CREATEDATE` The date and time the resource was originally created.
`static java.lang.String` `CREATORTOOL` The name of the first known tool used to create the resource.
`static java.lang.String` `DEFAULT_XPATH_ID` default namespace identifier
`static java.lang.String` `DEFAULT_XPATH_URI` default namespace uri
`static java.lang.String` `IDENTIFIER` An unordered array of text strings that unambiguously identify the resource within a given context.
`static java.lang.String` `METADATADATE` The date and time that any metadata for this resource was last changed.
`static java.lang.String` `MODIFYDATE` The date and time the resource was last modified.
`static java.lang.String` `NICKNAME` A short informal name for the resource.
`private static long` `serialVersionUID`
`static java.lang.String` `THUMBNAILS` An alternative array of thumbnail images for a file, which can differ in characteristics such as size or image encoding.

Fields inherited from class com.lowagie.text.xml.xmp.XmpSchema
`xmlns`

Fields inherited from class java.util.Properties
`defaults`

Constructor Summary
`XmpBasicSchema()`

Method Summary
`void` `addCreateDate(java.lang.String date)` Adds the creation date.
`void` `addCreatorTool(java.lang.String creator)` Adds the creatortool.
`void` `addIdentifiers(java.lang.String[] id)` Adds the identifier.
`void` `addMetaDataDate(java.lang.String date)` Adds the meta data date.
`void` `addModDate(java.lang.String date)` Adds the modification date.
`void` `addNickname(java.lang.String name)` Adds the nickname.

Methods inherited from class com.lowagie.text.xml.xmp.XmpSchema
`addProperty, escape, getXmlns, process, setProperty, setProperty, setProperty, toString`

Methods inherited from class java.util.Properties
`getProperty, getProperty, list, list, load, load, loadFromXML, propertyNames, save, store, store, storeToXML, storeToXML, stringPropertyNames`

Methods inherited from class java.util.Hashtable
`clear, clone, contains, containsKey, containsValue, elements, entrySet, equals, get, hashCode, isEmpty, keys, keySet, put, putAll, rehash, remove, size, values`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### DEFAULT_XPATH_ID

    public static final java.lang.String DEFAULT_XPATH_ID

  default namespace identifier

  See Also:
    Constant Field Values

### DEFAULT_XPATH_URI

    public static final java.lang.String DEFAULT_XPATH_URI

  default namespace uri

  See Also:
    Constant Field Values

### ADVISORY

    public static final java.lang.String ADVISORY

  An unordered array specifying properties that were edited outside the authoring application. Each item should contain a single namespace and XPath separated by one ASCII space (U+0020).

  See Also:
    Constant Field Values

### BASEURL

    public static final java.lang.String BASEURL

  The base URL for relative URLs in the document content. If this document contains Internet links, and those links are relative, they are relative to this base URL. This property provides a standard way for embedded relative URLs to be interpreted by tools. Web authoring tools should set the value based on their notion of where URLs will be interpreted.

  See Also:
    Constant Field Values

### CREATEDATE

    public static final java.lang.String CREATEDATE

  The date and time the resource was originally created.

  See Also:
    Constant Field Values

### CREATORTOOL

    public static final java.lang.String CREATORTOOL

  The name of the first known tool used to create the resource. If history is present in the metadata, this value should be equivalent to that of xmpMM:History's softwareAgent property.

  See Also:
    Constant Field Values

### IDENTIFIER

    public static final java.lang.String IDENTIFIER

  An unordered array of text strings that unambiguously identify the resource within a given context.

  See Also:
    Constant Field Values

### METADATADATE

    public static final java.lang.String METADATADATE

  The date and time that any metadata for this resource was last changed.

  See Also:
    Constant Field Values

### MODIFYDATE

    public static final java.lang.String MODIFYDATE

  The date and time the resource was last modified.

  See Also:
    Constant Field Values

### NICKNAME

    public static final java.lang.String NICKNAME

  A short informal name for the resource.

  See Also:
    Constant Field Values

### THUMBNAILS

    public static final java.lang.String THUMBNAILS

  An alternative array of thumbnail images for a file, which can differ in characteristics such as size or image encoding.

  See Also:
    Constant Field Values

Constructor Detail

### XmpBasicSchema

    public XmpBasicSchema()

Method Detail

### addCreatorTool

    public void addCreatorTool(java.lang.String creator)

  Adds the creatortool.

  Parameters:
    `creator` -

### addCreateDate

    public void addCreateDate(java.lang.String date)

  Adds the creation date.

  Parameters:
    `date` -

### addModDate

    public void addModDate(java.lang.String date)

  Adds the modification date.

  Parameters:
    `date` -

### addMetaDataDate

    public void addMetaDataDate(java.lang.String date)

  Adds the meta data date.

  Parameters:
    `date` -

### addIdentifiers

    public void addIdentifiers(java.lang.String[] id)

  Adds the identifier.

  Parameters:
    `id` -

### addNickname

    public void addNickname(java.lang.String name)

  Adds the nickname.

  Parameters:
    `name` -

Hosted by Hostbasket